table.events {
  width: 100%;
  margin-top: 48px;
  position: relative;
  border-spacing: 0;
}

tr.event-header th {
  position: -webkit-sticky;
  position: sticky;
  top: 48px;
  text-align: left;
  height: 34px;
  margin: 0;
  padding: 4px;
  border-bottom: 1px solid black;
  background: white;
  background-clip: padding-box;
}
tr.event-header th:nth-child(1) {
  min-width: 160px;
}
tr.event-header th:nth-child(2) {
  min-width: 90px;
}
tr.event-header th:nth-child(3) {
  min-width: 90px;
}
tr.event-header th:nth-child(4) {
  min-width: 160px;
}
tr.event-header th.hidden {
  display: none;
}

tr.event-header th button.sort-down,
tr.event-header th button.sort-up {
  cursor: pointer;
  font-size: 20px;
  border: none;
  outline: none;
  box-sizing: border-box;
  background: transparent;
  margin: 0;
  padding: 0;
}
tr.event-header th button.sort-down {
  position: absolute;
  bottom: 0;
  right: 0;
}
tr.event-header th button.sort-up  {
  position: absolute;
  top: 0;
  right: 0;
}

tr.event-header th:not(:last-child),
table.events > tbody > tr td:not(:last-child) {
  white-space: nowrap;
  border-right: 1px solid black;
}

tr.event-header th:last-child,
table.events > tbody > tr td:last-child {
  width: 100%;
  border-right: none;
}

table.events > tbody > tr {
  cursor: pointer;
}
table.events > tbody > tr td {
  border-right: 1px solid black;
  padding: 4px;
}
table.events > tbody > tr:nth-child(odd):not(.selected) {
  background-color: #f8f8f8;
}
table.events > tbody > tr:not(:nth-child(odd)):not(.selected) {
  background-color: #f0f0f0;
}
table.events > tbody > tr.selected {
  background-color: #4af;
}
table.events > tbody > tr.hidden,
table.events > tbody > tr td.hidden {
  display: none;
}


table.events > tbody > tr td:nth-child(1) {
  font-family: monospace;
  vertical-align: top;
  padding-top: 6px;
}

table.events > tbody > tr.event-system-error td:nth-child(2) {
  color: #f66;
  vertical-align: top;
}
table.events > tbody > tr.event-acquisition-type:not(.event-system-error) td:nth-child(2) {
  color: #009;
  vertical-align: top;
}

table.events > tbody > tr.event-system-error td:nth-child(3) {
  vertical-align: top;
}

table.events > tbody > tr td:nth-child(4) {
  white-space: pre-line;
}
